function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	SM("L");
}
//**************************************************************************
function PEdit(IdP){
	Ow("ges_prod_edit.php?PID="+IdP,1265,265);
}
//**************************************************************************
function fGuardar(){
	var cod=gv("TxtId");
	var cod=gv("Cod");
	var des=gv("Des");
	//
	if(jVac(cod,"Ingrese el codigo del producto","Cod"))return;
	if(jVac(des,"Ingrese el nombre o descripcion del producto","Des"))return;
	/*
	if(jVac(ruc,"Ingrese el numero de ruc","Ruc"))return;
	if(jL(ruc)!=11){
		return AF("El numero de ruc debe tener 11 digitos","Ruc");
	}
	*/
	//	
	if(gv("CmdG")=="Guardar"){
		if(preG()){
			hab("CmdG",0);
			SM("G");
		}
	}else{
		if(preM()){
			hab("CmdG",0);
			SM("M");
		}
	}
}
//
function fEr(cx){
	if(pre("¿ Esta seguro que desea eliminar la referencia ?")){
		sv("TXT_AUX",cx);
		SM("ELI_REF");
	}
}
//
function fIr(cx){
	var txt_url="URL_"+cx;
	var str_url=gv(txt_url);
	if(jL(str_url)==0){
		alert("El campo url esta vacio");
	}else{
		if(isURL(str_url)){
			document.getElementById("LNK").href=str_url;
			document.getElementById("LNK").click();
		}else{
			alert("La url no es valida");
		}
	}
}
//
function AddRef(){
	var cod=gv("TxtId");
	var ser=gv("InvSer");
	var num=gv("InvNum");
	var ite=gv("InvIte");
	if(jVal(cod)==0){
		return AF("No se puede determinar el Id del registro activo","InvSer");
	}
	if(jL(ser)==0){
		return AF("Ingrese la serie del invoice","InvSer");
	}
	if(jL(num)==0){
		return AF("Ingrese el numero del invoice","InvNum");
	}
	if(jL(ite)==0){
		return AF("Ingrese el numero de item en el invoice","InvNum");
	}
	document.getElementById("CmdAdd").disabled=false;
	SM("ADD_REF");
}




